Bug 965431 - Review Request: gedit-editorconfig - EditorConfig plugin for Gedit
Review Request: gedit-editorconfig - EditorConfig plugin for Gedit
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 965417
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 04:54 EDT by Guillaume Kulakowski
Modified: 2018-02-26 20:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-26 20:34:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2013-05-21 04:54:43 EDT
EditorConfig helps developers define and maintain consistent coding styles
between different editors and IDEs. The EditorConfig project consists of a file
format for defining coding styles and a collection of text editor plugins that
enable editors to read the file format and adhere to defined styles.
EditorConfig files are easily readable and they work nicely with version
control systems.

---

SPEC:
https://projects.llaumgui.com/p/rpmbuild/source/tree/master/SPECS/gedit-editorconfig.spec

SRPM:
http://llaumgui.fedorapeople.org/review/gedit-editorconfig/gedit-editorconfig-0.5.2-1.fc18.src.rpm

rpmlint:
gedit-editorconfig.x86_64: E: no-binary
gedit-editorconfig.x86_64: W: only-non-binary-in-usr-lib
gedit-editorconfig.x86_64: E: script-without-shebang /usr/lib64/gedit/plugins/editorconfig_plugin/gedit2.py
gedit-editorconfig.x86_64: E: script-without-shebang /usr/lib64/gedit/plugins/editorconfig_plugin/__init__.py
gedit-editorconfig.x86_64: E: script-without-shebang /usr/lib64/gedit/plugins/editorconfig.plugin
gedit-editorconfig.x86_64: E: script-without-shebang /usr/lib64/gedit/plugins/editorconfig_plugin/shared.py
gedit-editorconfig.x86_64: E: script-without-shebang /usr/lib64/gedit/plugins/editorconfig_plugin/gedit3.py
gedit-editorconfig.x86_64: E: script-without-shebang /usr/lib64/gedit/plugins/editorconfig_gedit3.py
gedit-editorconfig-debuginfo.x86_64: E: empty-debuginfo-package
3 packages and 0 specfiles checked; 8 errors, 1 warnings.
Comment 1 Fedora End Of Life 2013-12-21 08:38:55 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Upstream Release Monitoring 2016-01-16 21:15:09 EST
barracks510's scratch build of editorconfig-0.12.0-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12584257
Comment 3 Upstream Release Monitoring 2016-01-16 21:28:03 EST
barracks510's scratch build of editorconfig-0.12.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12584281
Comment 4 Andrew Toskin 2017-03-06 18:34:13 EST
What's the status on gedit-editorconfig?

I'm looking to do package reviews as part of joining the official packagers group. I'm also just interested in adding EditorConfig support to gedit. So I can help get this moving again, if you're still interested in maintaining this package.
Comment 5 Andrew Toskin 2017-11-21 20:55:06 EST
OP hasn't responded since 2013. Unless they come back and are willing to resume work on the package, I recommend closing this thread.
Comment 6 Andrew Toskin 2018-02-26 20:34:33 EST
I'm gonna go ahead and close this thread. If Guillaume wants to resume working on the package, we can open up again.

Note You need to log in before you can comment on or make changes to this bug.